Subject: Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 Mar 2021 16:35:55 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>         [email-masked]
> Date: Wed, 31 Mar 2021 13:13:39 +0000
> 
> >>   gcc_jit_context_set_bool_option (
> >>                                    ctxt,
> >>                                    GCC_JIT_BOOL_OPTION_DEBUGINFO,
> >>                                    1);
> >> 
> >> then the temporary directory isn't created, or maybe it's deleted
> >> when
> >> the program exits.  I think the latter is the case, because the
> >> directory is visible if I step through the program with a debugger,
> >> but disappears when the program exits.
> >> 
> >> David, what's the story with these temporary directories?
> >
> > They're meant to be cleaned up automatically by libgccjit: on
> > gcc_jit_result_release for a successful compilation, or at the end of
> > gcc_jit_context_compile* for a failed compilation.
> 
> I suspect we are just missing the call to 'gcc_jit_result_release'.  I'm
> having a look.

The tutorial does call gcc_jit_result_release.

I think this only happens in the tutorial example, not in Emacs.
Sorry if that was unclear.